com.sun.jdi.event

## Interface MonitorContendedEnteredEvent

- All Superinterfaces:
    Event, Locatable, LocatableEvent, Mirror

      public interface MonitorContendedEnteredEvent
      extends LocatableEvent

  Notification that a thread in the target VM is entering a monitor after waiting for it to be released by another thread.

  Since:
    1.6
  See Also:
    `EventQueue`, `MonitorContendedEnterEvent`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectReference` | `monitor()` Returns the monitor that was entered.
    `ThreadReference` | `thread()` Returns the thread in which this event has occurred.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface com.sun.jdi.Locatable

      `location`

- - ### Method Detail

    - #### thread

          ThreadReference thread()

      Returns the thread in which this event has occurred.

      Specified by:
        `thread` in interface `LocatableEvent`
      Returns:
        a `ThreadReference` which mirrors the event's thread in the target VM.

    - #### monitor

          ObjectReference monitor()

      Returns the monitor that was entered.
      Returns:
        an `ObjectReference` for the monitor.

Copyright © 1999, 2019, Oracle and/or its affiliates. All rights reserved.